Skip to main content
`Ctrl`+`K`

# VecPointwiseMult

Computes the component-wise multiplication `w[i] = x[i] * y[i]`.

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecPointwiseMult(Vec w, Vec x, Vec y)

Logically Collective

## Input Parameters

- x - the first vector

- y - the second vector

## Output Parameter

- w - the result

## Note

Any subset of the `x`, `y`, and `w` may be the same vector.

## See Also

Vectors and Parallel Data, `Vec`, `VecPointwiseDivide()`, `VecPointwiseMax()`, `VecPointwiseMin()`, `VecPointwiseMaxAbs()`, `VecMaxPointwiseDivide()`

## Level

advanced

## Location

src/vec/vec/interface/vector.c

## Examples

src/ksp/ksp/tutorials/ex15.c
src/tao/unconstrained/tutorials/burgers_spectral.c
src/tao/pde_constrained/tutorials/elliptic.c
src/tao/pde_constrained/tutorials/hyperbolic.c
src/snes/tutorials/ex36.c
src/tao/unconstrained/tutorials/spectraladjointassimilation.c
src/snes/tutorials/ex11.c
src/ksp/ksp/tutorials/ex15f.F90
src/tao/pde_constrained/tutorials/parabolic.c
src/snes/tutorials/ex16.c

## Implementations

VecPointwiseMult_Nest() in src/vec/vec/impls/nest/vecnest.c
VecPointwiseMult_Seq() in src/vec/vec/impls/seq/bvec2.c
VecPointwiseMult_SeqKokkos() in src/vec/vec/impls/seq/kokkos/veckok.kokkos.cxx
VecPointwiseMult_SeqViennaCL() in src/vec/vec/impls/seq/seqviennacl/vecviennacl.cxx

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages